﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Stimulsoft.Report;

namespace StimulsoftTestCase
{
    /// <summary>
    /// Interaction logic for Page1.xaml
    /// </summary>
    public partial class Page1 : Page
    {

        private MmrDocumentHistoryHdrDTO header;
        private List<TestObj> data;

        public StiReport Report { get; set; }

        public Page1()
        {
            InitializeComponent();

            header = new MmrDocumentHistoryHdrDTO();

            data = new List<TestObj>();
            data.Add(new TestObj() { Column = "Foo" });
            data.Add(new TestObj() { Column = "Bar" });
            data.Add(new TestObj() { Column = "Bazz" });

            
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
              
            Report = new StiReport();
            Report.LoadReportFromResource(this.GetType().Assembly,"StimulsoftTestCase.simplestPossibleReport.mrt");
            Report.RegBusinessObject("TestObj", data);

            MmrDocumentHistoryHdrDTO mmrHeader = header;
            mmrHeader.Facility = "Stimulsoft";
            mmrHeader.ReportTitle = "Stimulsoft Test Case Report";
              
            Report.RegBusinessObject("boHeader", mmrHeader);
         
            Report.ShowWithWpf();
        }
    }

    public class MmrDocumentHistoryHdrDTO
    {
   
        public string Facility { get; set; }

    
        public string ReportTitle { get; set; }
    }

    public class TestObj
    {
       public String Column { get; set; }
    }

}
